#ifdef UNDERSCORE
#define db_icpt db_icpt_
#define rintfp rintfp_
#define rintfv rintfv_
#define cintfp cintfp_
#define cintfv cintfv_
#endif

#define NCIMN   1   /* No. of character interface mnemonics */

#define MXDLYR  200  /* Maximum no. of layers of depth/temp./salinity data */

#define NRSLMN  63  /* No. of real single-level interface mnemonics */

#define NRIMN   ( NRSLMN + ( 2 * ( ( MXDLYR * 3 ) + 1 ) ) )
                         /* Total no. of real interface mnemonics 
                            (single layer + all multi-layer + multi-layer
                             counter) */

extern struct {
    int irydgt ; int irmnth ; int irdays ; int irhour ; int irminu ;
    int irslat ; int irslon ; int irselv ; int irdrct ; int irsped ;
    int irpres ; int irpmsl ; int irp03d ; int irchpt ; int ir3hpc ;
    int irrelh ; int irtmpc ; int irdwpc ; int irsstc ; int irtost ;
    int irqopm ; int irqcbh ; int irqwtm ; int irqatm ; int irqbst ;
    int irqcil ; int irmsdm ; int irwper ; int irwhgt ; int irisws ;
    int irqpos ; int irqtim ; int irqcls ; int irqds1 ; int irqxs1 ;
    int irqds2 ; int irqxs2 ; int irq3d1 ; int irq3d2 ; int irq4cl ;
    int irpsyr ; int irpsmn ; int irpsdy ; int irpshr ; int irpsmi ;
    int irdbvv ; int irdbdd ; int irbeng ; int irdrot ; int irdrod ;
    int irdlat ; int irdlon ; int irqdep ; int irhple ; int ircalt ;
    int irbuyt ; int iranht ; int irantp ; int irmrmv ; int irdtcc ;
    int irldds ; int irldrs ; int irbvol ; 
    int irndts ; int irdbss[MXDLYR] ; int irstmp[MXDLYR] ;
    int irsaln[MXDLYR] ;
    int irnddc ; int irdbsc[MXDLYR] ; int irdroc[MXDLYR] ;
    int irspoc[MXDLYR] ;

} rintfp;       /* Pointers to relative locations of real interface mnemonics
                   within rimnem().  These pointers will be set by DB_IFSP
                   and then used as indices into the real interface values 
                   array rivals(). */

extern struct {
    float rivals[NRIMN];
} rintfv;                    /* Real interface values */

extern struct {
    int icstid ; 
} cintfp;       /* Pointers to relative locations of character interface 
                   mnemonics within cimnem().  These pointers will be set by 
                   DB_IFSP and then used as indices into the character 
                   interface values array civals(). */

extern struct {
    char civals[NCIMN][8];
} cintfv;                    /* Character interface values */
