        SUBROUTINE DB_DCD1  ( mszrpt, dburpt, ipt, iret )
C************************************************************************
C* DB_DCD1						                *
C*								        *
C* This subroutine gets the length of each of the sections 1-4 in the   *
C* WMO FM18 buoy report.  These data are used to determine whether      *
C* each of the sections contain groups to decode.  If a section has     *
C* groups, the appropriate routine is called to start the decoding of   *
C* the groups in that section.  Section 0 must be included in a report, *
C* or else the report is invalid.                                       *
C*								        *
C* DB_DCD2  ( MSZRPT, DBURPT, IPT, IRET )            		        *
C*								        *
C* Input parameters:						        *
C*      MSZRPT          INTEGER         Length of report in bytes       *
C*      DBURPT          CHAR* 	        Report array                    *
C*      IPT             INTEGER         Pointer to space before the     *
C*                                      i(R)i(x)hVV group               *
C* Output parameters:						        *
C*	IRET		INTEGER		Return code		        *
C*				   	  0 = normal return 	        *
C*                                        1 = problems                  *
C**								        *
C* Log:								        *
C* R. Hollern/NCEP      12/99                                           *
C************************************************************************
        INCLUDE 	'dbcmn.cmn'
C*
        CHARACTER*(*)   dburpt
C------------------------------------------------------------------------
        iret = 0
C
C*      Determine the length of sections 1-4 in report.
C
        CALL  DB_LSCD ( mszrpt, dburpt, ipt, iret )
C
        IF ( iret .eq. 1 ) RETURN
C
C*      Decode groups in section 1 of report.
C
        IF ( lsec1 .gt. 0 ) CALL  DB_SC1D ( dburpt, jret )
C
C*      Decode the groups in section 2 of report.
C
        IF ( lsec2 .gt. 0 ) CALL  DB_SC2D ( dburpt, jret )
C
C*      Decode the groups in section 3 of report.
C
        IF ( lsec3 .gt. 0 ) CALL  DB_SC3D ( dburpt, jret )
C
C*      Decode the groups in section 4 of report.
C
        IF ( lsec4 .gt. 0 ) CALL  DB_SC4D ( dburpt, jret )
C*
	RETURN
        END
