#include "geminc.h"
#include "gemprm.h"
#include "dbcmn.h"

/*
**  Function prototypes.
*/
void db_icpt( char [][8], char[][8], int * );

char *outstr( char [] );


void db_icpt( char rimnem[][8], char cimnem[][8], int *iret )
{

    int ierwlg;

    unsigned int jj, ndts, nddc; 

    char logmsg[201];

/*
**  Print out all of the single-level character interface values
**  that are not "missing".
*/
    for ( jj = 0; jj < NCIMN; jj++ ) {
	if ( cintfv.civals[jj][0] != CHSPAC ) {
	    sprintf( logmsg, "%s = ", outstr(cimnem[jj]) );
	    sprintf( &(logmsg[strlen(logmsg)]), "%s\n" ,
		     outstr(cintfv.civals[jj]) );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Print out all of the single-level real interface values
**  that are not "missing".
*/
    for ( jj = 0; jj < NRSLMN; jj++ ) {
	if ( ! ERMISS( rintfv.rivals[jj] ) ) {
	    sprintf( logmsg, "%s = %10.2f\n",
		     outstr(rimnem[jj]), rintfv.rivals[jj] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Print out all of the multi-level interface values.
*/

/*
**  Depth/temperature/salinity.
*/
    ndts = ( unsigned int ) rintfv.rivals[(rintfp.irndts)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irndts)-1]), ndts );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( ndts > 0 ) {
	strcpy(   logmsg,      outstr(rimnem[(rintfp.irdbss[0])-1]) );
	strcpy( &(logmsg[8]),  outstr(rimnem[(rintfp.irstmp[0])-1]) );
	strcpy( &(logmsg[16]), outstr(rimnem[(rintfp.irsaln[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < ndts; jj++ ) {
	    sprintf( logmsg,
		     "%8.1f %8.1f %8.1f\n",
		     rintfv.rivals[(rintfp.irdbss[jj])-1],
		     rintfv.rivals[(rintfp.irstmp[jj])-1],
		     rintfv.rivals[(rintfp.irsaln[jj])-1] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Depth/direction/speed of current.
*/
    nddc = ( unsigned int ) rintfv.rivals[(rintfp.irnddc)-1];
    sprintf( logmsg, "%s = %u\n",
	     outstr(rimnem[(rintfp.irnddc)-1]), nddc );
    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );

    if ( nddc > 0 ) {
	strcpy(   logmsg,      outstr(rimnem[(rintfp.irdbsc[0])-1]) );
	strcpy( &(logmsg[8]),  outstr(rimnem[(rintfp.irdroc[0])-1]) );
	strcpy( &(logmsg[16]), outstr(rimnem[(rintfp.irspoc[0])-1]) );
	dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	for ( jj = 0; jj < nddc; jj++ ) {
	    sprintf( logmsg,
		     "%8.1f %8.1f %8.1f\n",
		     rintfv.rivals[(rintfp.irdbsc[jj])-1],
		     rintfv.rivals[(rintfp.irdroc[jj])-1],
		     rintfv.rivals[(rintfp.irspoc[jj])-1] );
	    dc_wclg( 3, "DC", 2, logmsg, &ierwlg );
	}
    }

/*
**  Set return code.
*/
    *iret = 0;

    return;
}

char *outstr( char string[] ) {

    unsigned short ii;

    static char tmpstr[9];

/*
**  Return a null-terminated copy of string.
*/
    for ( ii = 0; ii < 8; ii++ ) {
	tmpstr[ii] = string[ii];
    }
    tmpstr[8] = '\0';

    return tmpstr;
}
